##### basic_socket_acceptor::native_non_blocking (2 of 3 overloads)

Sets the non-blocking mode of the native acceptor implementation.

    void native_non_blocking(
        bool mode);

This function is used to modify the non-blocking mode of the underlying native acceptor. It has no effect on the behaviour of the acceptor object's synchronous operations.

###### Parameters

mode

  If `true`, the underlying acceptor is put into non-blocking mode and direct system calls may fail with `asio::error::would_block` (or the equivalent system error).

###### Exceptions

asio::system_error

  Thrown on failure. If the `mode` is `false`, but the current value of `non_blocking()` is `true`, this function fails with `asio::error::invalid_argument`, as the combination does not make sense.